# ScanbotEncryptionHandler class

## Constructors

ScanbotEncryptionHandler()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

getDecryptedDataFromFile(Uri fileUri) → Future<Uint8List>
  Get decrypted file byte data using encryption parameters that were set up during SDK initialization. In case encryption parameters were not set, it returns just the file's byte data as it is. The main purpose of this class is to work with preview images. It is still possible to use it for any file that was encrypted by ScanbotSDK (PDF, TIFF, etc).